function Iphoto:Set_As_Wallpaper()
   if y > MACXT_Barre1:height() + top:height() and y < 272-bottom:height() then
      MACXT_Objets_Properties[1] = {Caption = "Definir fond d'ecran",Action = "Set_Fond"}
      MACXT_Objets_Properties[2] = {Caption = "Image suivate",Action = "Next_Image"}
      MACXT_Repertoire:Actualise_Properties()
      if Action_Properties == "Set_Fond" then
         if Image_Loaded ~= nil then
            VALUE_WRITE = System.currentDirectory().."/"..Nom_Fichier_Selected
            REGISTRY:Write_On_File("MACXT","Image_Wallpaper",VALUE_WRITE)
            VALUE_WRITE = "Default_Directory = 0"
            REGISTRY:Write_On_File("MACXT","Wallpaper",VALUE_WRITE)
            MACXT_Wallpaper = nil
            MACXT_Wallpaper = Image.load(System.currentDirectory().."/"..Nom_Fichier_Selected)
            MACXT_Repertoire:Anti_Bug()
          else
            Window_Hauteur = 45
            Window_Longueur = 150
            MACXT_Graphic:Init_New_Personnal_Window()
            Afficher_Fenetre_Fde = 1
            MACXT_Repertoire:Anti_Bug() 
         end
      end
   end
end
function Iphoto:Propos_Iphoto()
   Window_Longueur = 250
   Window_Hauteur = 60
   MACXT_Title = "A propos de IPhoto"
   MACXT_Texte_Window[1] = {Caption = "Auteur : Bizous"}
   MACXT_Texte_Window[2] = {Caption = "Graphismes : X5"}
   MACXT_Texte_Window[3] = {Caption = "Nom : Iphoto pour MACXT"}
   MACXT_Repertoire:Actualise_Texte_Window()
   if Afficher_Personnal_Window == 0 then
      Afficher_Propos_Iphoto = 0
   end
end
function Iphoto:FullScreen()
   while true do
      screen:clear()
      local pad = Controls.read()
      screen:blit(XPosPhoto,YPosPhoto,Image_Loaded)
      if Image_Loaded:width() > 480 then
         if pad:left() then
            XPosPhoto = XPosPhoto + 10
         end
         if pad:right() then
            XPosPhoto = XPosPhoto - 10
         end
      end
      if Image_Loaded:height() > 272 then
         if pad:up() then
            YPosPhoto = YPosPhoto + 10
         end
         if pad:down() then
            YPosPhoto = YPosPhoto - 10
         end
      end
      if pad:triangle() then
         MACXTMouse:ActivePad()
         MACXTMouse:ActivePadAnalog()
         break
      end
      screen:flip()
   end
end